KCUTILTEST(1)

NAME
kcutiltest - command line interface to test the utility functions

DESCRIPTION

The command `kcutiltest' is a utility for facility test and performance test of the utility functions. This command is used in the following format. `rnum' specifies the number of iterations. `path' specifies the path of a file.

    kcutiltest mutex [-th num] [-iv num] rnum
        Performs test of lock primitives.
    kcutiltest cond [-th num] [-iv num] rnum
        Performs test of condition variable primitives.
    kcutiltest para [-th num] [-iv num] rnum
        Performs test of parallel processing.
    kcutiltest file [-th num] [-rnd] [-msiz num] path rnum
        Performs test of the file system abstraction.
    kcutiltest lhmap [-rnd] [-bnum num] rnum
        Performs test of doubly-linked hash map.
    kcutiltest thmap [-rnd] [-bnum num] rnum
        Performs test of memory-saving hash map.
    kcutiltest talist [-rnd] rnum
        Performs test of memory-saving array list.
    kcutiltest misc rnum
        Performs test of miscellaneous mechanisms.

Options feature the following.

    -th num : specifies the number of worker threads.
    -iv num : specifies the interval between iterations.
    -rnd : performs random test.
    -msiz num : specifies the size of the memory-mapped region.
    -bnum num : specifies the number of buckets of the hash table.

This command returns 0 on success, another on failure.

SEE ALSO

kcutilmgr(1)